function setMenuActive(mid) {
	var jqid = '#' + mid;
	$('.side-bar li').removeClass('present');
	$('.side-bar li').next('.next-menu').hide();
	$('.next-menu .child-menu').removeClass('current');

	if($(jqid).hasClass('father')) {
		$(jqid).addClass('present');
		$(jqid).find('.fatmenu').removeClass('hide-gray').addClass('show-blue');
		$(jqid).next('.next-menu').show();
	} else if($(jqid).hasClass('single'))
		$(jqid).addClass('present');
	else {
		$('#' + $(jqid).attr('father')).prev().find('.fatmenu').removeClass('hide-gray').addClass('show-blue');
		$('#' + $(jqid).attr('father')).show();
		$(jqid).addClass('current');
	}
}

function onClickFatMenu(menu) {
	if(!menu.hasClass('father'))
		return;
	if(menu.next('.next-menu').is(":hidden")) {
		menu.next('.next-menu').show();
		menu.find('.fatmenu').removeClass('hide-gray').addClass('show-blue');
	} else {
		menu.next('.next-menu').hide();
		menu.find('.fatmenu').removeClass('show-blue').addClass('hide-gray');
	}
}

function addSingleMeun(title, src) {
	var lihtml = '<li class="jumpmenu single" id="' + src + '"><a class="textnoselect">' +
		title + '</a>' +
		'<div class="arrow-blue"></div>' +
		'<div class="blue-line"></div>' +
		'</li>';
	$('#mainmenu').append($(lihtml));
}

function addFatherMeun(title, src) {
	var titidstr = title.replace(/\s*/g,"");
	var lihtml = '<li class="jumpmenu father" id="' + src + '"><a class="textnoselect">' +
		title + '</a>' +
		'<div class="fatmenu hide-gray"></div>' +
		'<div class="blue-line"></div>' +
		'</li>' +
		'<div class="next-menu"' + 'id="fat' + titidstr + '"></div>';
	$('#mainmenu').append($(lihtml));
}

function addSubMeun(fatid, title, src) {
	var fatidstr = fatid.replace(/\s*/g,"");
	var divhtml = '<div class="child-menu jumpmenu" father="fat' + fatidstr + '" id="' + src + '">' +
		'<div class="icon-circle"></div>' +
		'<div class="arrow-blue"></div>' +
		'<div class="blue-line"></div>' +
		'<a class="textnoselect">' + title + '</a></div>';
	$('#fat' + fatidstr).append($(divhtml));
}
//////////
function positionFooter() {
	mainboxHeight = $('.contain').height();
	if (mainboxHeight <= $(window).height())
		$('.footWrap').css('marginTop', $(window).height()-mainboxHeight);
	else
	$('.footWrap').css('marginTop', 50);
}
/////////

$(function() {
	addSingleMeun('协议简介', 'Protocol_Introduction');
	addFatherMeun('Bootloader命令', 'Bootloader_Commands');
	addSubMeun('Bootloader命令', '写Flash', 'Write_Flash');
	addSubMeun('Bootloader命令', '读Flash', 'Read_Flash');
	addSubMeun('Bootloader命令', '校验Firmware', 'Verify_Firmware');
	addSubMeun('Bootloader命令', '获取版本', 'Get_Version');
	addSubMeun('Bootloader命令', '启动Firmware', 'Boot_Firmware');
	addSubMeun('Bootloader命令', '设置波特率', 'Set_Baud_Rate');
	addSubMeun('Bootloader命令', '启动Bootloader', 'Boot_Bootloader');
	addSubMeun('Bootloader命令', '获取读写器运行阶段', 'Get_Run_Phase');
	addSubMeun('Bootloader命令', '获取序列号', 'Get_Serial_Number');
	addFatherMeun('标签盘存命令', 'Tag_Inventory_Commands');
	addSubMeun('标签盘存命令', '单标签盘存', 'Single_Tag_Inventory');
	addSubMeun('标签盘存命令', '同步盘存', 'Synchronous_Inventory');
	addSubMeun('标签盘存命令', '获取标签缓冲区', 'Get_Tag_Buffer');
	addSubMeun('标签盘存命令', '异步盘存', 'Asynchronous_Inventory');
	addFatherMeun('标签访问命令', 'Tag_Access_Commands');
	addSubMeun('标签访问命令', '写标签数据', 'Write_Tag_Data');
	addSubMeun('标签访问命令', '写标签EPC', 'Write_Tag_EPC');
	addSubMeun('标签访问命令', '锁标签', 'Lock_Tag');
	addSubMeun('标签访问命令', '销毁标签', 'Kill_Tag');
	addSubMeun('标签访问命令', '读标签数据', 'Read_Tag_Data');
	addFatherMeun('设置命令', 'Setting_Commands');
	addSubMeun('设置命令', '设置天线端口', 'Set_Antenna_Ports');
	addSubMeun('设置命令', '设置当前标签协议', 'Set_Current_Tag_Protocol');
	addSubMeun('设置命令', '设置跳频配置', 'Set_Frequency_Hopping');
	addSubMeun('设置命令', '设置GPO', 'Set_GPO');
	addSubMeun('设置命令', '设置当前工作区域', 'Set_Current_Region');
	addSubMeun('设置命令', '设置读写器配置', 'Set_Reader_Configuration');
	addSubMeun('设置命令', '设置标签协议配置', 'Set_Protocol_Configuration');
	addFatherMeun('获取命令', 'Getting_Commands');
	addSubMeun('获取命令', '获取天线端口', 'Get_Antenna_Ports');
	addSubMeun('获取命令', '获取当前标签协议', 'Get_Current_Tag_Protocol');
	addSubMeun('获取命令', '获取跳频配置', 'Get_Frequency_Hopping');
	addSubMeun('获取命令', '获取GPI', 'Get_GPI');
	addSubMeun('获取命令', '获取当前工作区域', 'Get_Current_Region');
	addSubMeun('获取命令', '获取可用工作区域', 'Get_Available_Regions');
	addSubMeun('获取命令', '获取读写器配置', 'Get_Reader_Configuration');
	addSubMeun('获取命令', '获取标签协议配置', 'Get_Protocol_Configuration');
	addSubMeun('获取命令', '获取当前温度', 'Get_Current_Temperature');
	addSingleMeun('状态码', 'Status_Code');
	
	
	$(".jumpmenu").click(function() {
		var strs = window.location.href.split("/");
		if(($(this).attr("id") + '.html') == strs[strs.length - 1]) {
			onClickFatMenu($(this));
			return;
		}
		var newhref = null;
		if(strs[strs.length - 1] == 'index.html')
			newhref = window.location.href.replace(strs[strs.length - 1], 'html/' + $(this).attr("id") + '.html');
		else
			newhref = window.location.href.replace(strs[strs.length - 1], $(this).attr("id") + '.html');
		window.location.href = newhref;
	});

	var tmpstrs = window.location.href.split("/");
	setMenuActive(tmpstrs[tmpstrs.length - 1].split('.')[0]);

	$(".CpJson").attr('title', "查看多行原始格式");
	$(".CpJsonline").attr('title', "查看单行原始格式");
	$(".Jsonobj").attr('title', "查看对象格式");
	$(".CpJson").click(function() {
		var divjfmt = $(this).parent().next();
		var fmtstr = JSON.stringify($.parseJSON($(this).attr('jsonvalue')), null, "\t");
		divjfmt.css('display', 'none');
		if(!divjfmt.next().hasClass('jsonpre')) {
			var htmlta = '<pre class="jsonpre""></pre>';
			divjfmt.after($(htmlta));
		}
		divjfmt.next().html(fmtstr);
		divjfmt.next().css('display', '');
	});

	$(".CpJsonline").click(function() {
		var divjfmt = $(this).parent().next();
		var fmtstr = JSON.stringify($.parseJSON($(this).prev().attr('jsonvalue')));
		divjfmt.css('display', 'none');
		if(!divjfmt.next().hasClass('jsonpre')) {
			var htmlta = '<pre class="jsonpre"></pre>';
			divjfmt.after($(htmlta));
		}
		divjfmt.next().html(fmtstr);
		divjfmt.next().css('display', '');
	});

	$(".Jsonobj").click(function() {
		var divjfmt = $(this).parent().next();
		if(!divjfmt.next().hasClass('jsonpre'))
			return;
		else
			divjfmt.next().css('display', 'none');
		divjfmt.css('display', '');
	});

	$('.DivJsonFmt').each(function(index, divjfobj) {
		var tmpjqdiv = $(divjfobj);
		tmpjqdiv.JSONView($.parseJSON(tmpjqdiv.prev().children('div').attr('jsonvalue')));
		//		if(tmpjqdiv.height() > 175)
		//			tmpjqdiv.height(175);
	});
	
	SyntaxHighlighter.defaults['toolbar'] = false;
	SyntaxHighlighter.all();

	$(window).load(function() {
		$('a').each(function(index, aobj) {
			var jqaboj = $(aobj);
			if(jqaboj.parent().hasClass('string')) {
				var fatplainstr = jqaboj.parent().html().replace(/<a.*a>/g, jqaboj.html());
				jqaboj.parent().html(fatplainstr);
			}
		});
	});

	$(window).scroll(function() {
		var sbht = $('.side-bar').height();
		var wst = $(window).scrollTop();
		var wndht = document.body.clientHeight;
		var mtop;
		if(wndht < sbht + 40)
			mtop = wst - 40 - (sbht + 52 - wndht);
		else
			mtop = wst - 40;
		if(mtop < 30)
			mtop = 30;
		$('.side-bar').css('margin-top', mtop + 'px');
	});

});