function setMenuActive(mid) {
	var jqid = '#' + mid;
	$('.side-bar li').removeClass('present');
	$('.side-bar li').next('.next-menu').hide();
	$('.next-menu .child-menu').removeClass('current');

	if($(jqid).hasClass('father')) {
		$(jqid).addClass('present');
		$(jqid).find('.fatmenu').removeClass('hide-gray').addClass('show-blue');
		$(jqid).next('.next-menu').show();
	} else if($(jqid).hasClass('single'))
		$(jqid).addClass('present');
	else {
		$('#' + $(jqid).attr('father')).prev().find('.fatmenu').removeClass('hide-gray').addClass('show-blue');
		$('#' + $(jqid).attr('father')).show();
		$(jqid).addClass('current');
	}
}

function onClickFatMenu(menu) {
	if(!menu.hasClass('father'))
		return;
	if(menu.next('.next-menu').is(":hidden")) {
		menu.next('.next-menu').show();
		menu.find('.fatmenu').removeClass('hide-gray').addClass('show-blue');
	} else {
		menu.next('.next-menu').hide();
		menu.find('.fatmenu').removeClass('show-blue').addClass('hide-gray');
	}
}

function addSingleMeun(title, src) {
	var lihtml = '<li class="jumpmenu single" id="' + src + '"><a class="textnoselect">' +
		title + '</a>' +
		'<div class="arrow-blue"></div>' +
		'<div class="blue-line"></div>' +
		'</li>';
	$('#mainmenu').append($(lihtml));
}

function addFatherMeun(title, src) {
	var titidstr = title.replace(/\s*/g,"");
	var lihtml = '<li class="jumpmenu father" id="' + src + '"><a class="textnoselect">' +
		title + '</a>' +
		'<div class="fatmenu hide-gray"></div>' +
		'<div class="blue-line"></div>' +
		'</li>' +
		'<div class="next-menu"' + 'id="fat' + titidstr + '"></div>';
	$('#mainmenu').append($(lihtml));
}

function addSubMeun(fatid, title, src) {
	var fatidstr = fatid.replace(/\s*/g,"");
	var divhtml = '<div class="child-menu jumpmenu" father="fat' + fatidstr + '" id="' + src + '">' +
		'<div class="icon-circle"></div>' +
		'<div class="arrow-blue"></div>' +
		'<div class="blue-line"></div>' +
		'<a class="textnoselect">' + title + '</a></div>';
	$('#fat' + fatidstr).append($(divhtml));
}
//////////
function positionFooter() {
	mainboxHeight = $('.contain').height();
	if (mainboxHeight <= $(window).height())
		$('.footWrap').css('marginTop', $(window).height()-mainboxHeight);
	else
	$('.footWrap').css('marginTop', 50);
}
/////////

$(function() {
	addSingleMeun('Protocol Introduction', 'Protocol_Introduction');
	addFatherMeun('Bootloader Commands', 'Bootloader_Commands');
	addSubMeun('Bootloader Commands', 'Write Flash', 'Write_Flash');
	addSubMeun('Bootloader Commands', 'Read Flash', 'Read_Flash');
	addSubMeun('Bootloader Commands', 'Verify Firmware', 'Verify_Firmware');
	addSubMeun('Bootloader Commands', 'Get Version', 'Get_Version');
	addSubMeun('Bootloader Commands', 'Boot Firmware', 'Boot_Firmware');
	addSubMeun('Bootloader Commands', 'Set Baud Rate', 'Set_Baud_Rate');
	addSubMeun('Bootloader Commands', 'Boot Bootloader', 'Boot_Bootloader');
	addSubMeun('Bootloader Commands', 'Get Run Phase', 'Get_Run_Phase');
	addSubMeun('Bootloader Commands', 'Get Serial Number', 'Get_Serial_Number');
	addFatherMeun('Tag Inventory Commands', 'Tag_Inventory_Commands');
	addSubMeun('Tag Inventory Commands', 'Single Tag Inventory', 'Single_Tag_Inventory');
	addSubMeun('Tag Inventory Commands', 'Synchronous Inventory', 'Synchronous_Inventory');
	addSubMeun('Tag Inventory Commands', 'Get Tag Buffer', 'Get_Tag_Buffer');
	addSubMeun('Tag Inventory Commands', 'Asynchronous Inventory', 'Asynchronous_Inventory');
	addFatherMeun('Tag Access Commands', 'Tag_Access_Commands');
	addSubMeun('Tag Access Commands', 'Write Tag Data', 'Write_Tag_Data');
	addSubMeun('Tag Access Commands', 'Write Tag EPC', 'Write_Tag_EPC');
	addSubMeun('Tag Access Commands', 'Lock Tag', 'Lock_Tag');
	addSubMeun('Tag Access Commands', 'Kill Tag', 'Kill_Tag');
	addSubMeun('Tag Access Commands', 'Read Tag Data', 'Read_Tag_Data');
	addFatherMeun('Setting Commands', 'Setting_Commands');
	addSubMeun('Setting Commands', 'Set Antenna Ports', 'Set_Antenna_Ports');
	addSubMeun('Setting Commands', 'Set Current Tag Protocol', 'Set_Current_Tag_Protocol');
	addSubMeun('Setting Commands', 'Set Frequency Hopping', 'Set_Frequency_Hopping');
	addSubMeun('Setting Commands', 'Set GPO', 'Set_GPO');
	addSubMeun('Setting Commands', 'Set Current Region', 'Set_Current_Region');
	addSubMeun('Setting Commands', 'Set Reader Configuration', 'Set_Reader_Configuration');
	addSubMeun('Setting Commands', 'Set Protocol Configuration', 'Set_Protocol_Configuration');
	addFatherMeun('Getting Commands', 'Getting_Commands');
	addSubMeun('Getting Commands', 'Get Antenna Ports', 'Get_Antenna_Ports');
	addSubMeun('Getting Commands', 'Get Current Tag Protocol', 'Get_Current_Tag_Protocol');
	addSubMeun('Getting Commands', 'Get Frequency Hopping', 'Get_Frequency_Hopping');
	addSubMeun('Getting Commands', 'Get GPI', 'Get_GPI');
	addSubMeun('Getting Commands', 'Get Current Region', 'Get_Current_Region');
	addSubMeun('Getting Commands', 'Get Available  Regions', 'Get_Available_Regions');
	addSubMeun('Getting Commands', 'Get Reader Configuration', 'Get_Reader_Configuration');
	addSubMeun('Getting Commands', 'Get Protocol Configuration', 'Get_Protocol_Configuration');
	addSubMeun('Getting Commands', 'Get Current Temperature', 'Get_Current_Temperature');
	addSingleMeun('Status Code', 'Status_Code');
	
	$(".jumpmenu").click(function() {
		var strs = window.location.href.split("/");
		if(($(this).attr("id") + '.html') == strs[strs.length - 1]) {
			onClickFatMenu($(this));
			return;
		}
		var newhref = null;
		if(strs[strs.length - 1] == 'index.html')
			newhref = window.location.href.replace(strs[strs.length - 1], 'html/' + $(this).attr("id") + '.html');
		else
			newhref = window.location.href.replace(strs[strs.length - 1], $(this).attr("id") + '.html');
		window.location.href = newhref;
	});

	var tmpstrs = window.location.href.split("/");
	setMenuActive(tmpstrs[tmpstrs.length - 1].split('.')[0]);

	$(".CpJson").attr('title', "查看多行原始格式");
	$(".CpJsonline").attr('title', "查看单行原始格式");
	$(".Jsonobj").attr('title', "查看对象格式");
	$(".CpJson").click(function() {
		var divjfmt = $(this).parent().next();
		var fmtstr = JSON.stringify($.parseJSON($(this).attr('jsonvalue')), null, "\t");
		divjfmt.css('display', 'none');
		if(!divjfmt.next().hasClass('jsonpre')) {
			var htmlta = '<pre class="jsonpre""></pre>';
			divjfmt.after($(htmlta));
		}
		divjfmt.next().html(fmtstr);
		divjfmt.next().css('display', '');
	});

	$(".CpJsonline").click(function() {
		var divjfmt = $(this).parent().next();
		var fmtstr = JSON.stringify($.parseJSON($(this).prev().attr('jsonvalue')));
		divjfmt.css('display', 'none');
		if(!divjfmt.next().hasClass('jsonpre')) {
			var htmlta = '<pre class="jsonpre"></pre>';
			divjfmt.after($(htmlta));
		}
		divjfmt.next().html(fmtstr);
		divjfmt.next().css('display', '');
	});

	$(".Jsonobj").click(function() {
		var divjfmt = $(this).parent().next();
		if(!divjfmt.next().hasClass('jsonpre'))
			return;
		else
			divjfmt.next().css('display', 'none');
		divjfmt.css('display', '');
	});

	$('.DivJsonFmt').each(function(index, divjfobj) {
		var tmpjqdiv = $(divjfobj);
		tmpjqdiv.JSONView($.parseJSON(tmpjqdiv.prev().children('div').attr('jsonvalue')));
		//		if(tmpjqdiv.height() > 175)
		//			tmpjqdiv.height(175);
	});
	
	SyntaxHighlighter.defaults['toolbar'] = false;
	SyntaxHighlighter.all();

	$(window).load(function() {
		$('a').each(function(index, aobj) {
			var jqaboj = $(aobj);
			if(jqaboj.parent().hasClass('string')) {
				var fatplainstr = jqaboj.parent().html().replace(/<a.*a>/g, jqaboj.html());
				jqaboj.parent().html(fatplainstr);
			}
		});
	});

	$(window).scroll(function() {
		var sbht = $('.side-bar').height();
		var wst = $(window).scrollTop();
		var wndht = document.body.clientHeight;
		var mtop;
		if(wndht < sbht + 40)
			mtop = wst - 40 - (sbht + 52 - wndht);
		else
			mtop = wst - 40;
		if(mtop < 30)
			mtop = 30;
		$('.side-bar').css('margin-top', mtop + 'px');
	});
	

});